libzypp 17.37.10

MediaInfoDownloader.cc File Reference
`#include <fstream>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/Function.h>`
`#include "MediaInfoDownloader.h"`
`#include <zypp-core/base/UserRequestException>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo

## Functions
void | zypp::repo::downloadMediaInfo (const Pathname &dest_dir, MediaSetAccess &media, const ProgressData::ReceiverFnc &progress=ProgressData::ReceiverFnc())
| Downloads the media info (/media.1) to a local directory.